%define major		15
%define libname		%mklibname %{name} %{major}
%define develname	%mklibname %{name} -d

Summary:	Image processing system
Name:		vips
Version:	7.18.2
Release:	%{mkrel 1}
License:	LGPLv2+
Group:		Video
URL:		http://www.vips.ecs.soton.ac.uk/index.php
Source0:	%{name}-%{version}.tar.gz
Patch1:		vips-7.16.4-fix-linkage.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires:	glib2-devel 
BuildRequires:	pango-devel
BuildRequires:	png-devel
BuildRequires:	jpeg-devel 
BuildRequires:	tiff-devel
BuildRequires:	fftw3-devel 
BuildRequires:	zlib-devel 
BuildRequires:	OpenEXR-devel
BuildRequires:	lcms-devel
BuildRequires:	libexif-devel
BuildRequires:	liboil-devel
BuildRequires:	graphicsmagick-devel
BuildRequires:	python-devel
BuildRequires:	swig
BuildRequires:	perl(XML::Parser)

%description
VIPS is a free image processing system. It aims to be about half-way between
Photoshop and Excel: it is very bad at retouching photographs, but very handy 
for the many other imaging tasks that programs like Photoshop get used for. 
It is good with large images (images larger than the amount of RAM in your 
machine), and for working with colour.

%package -n %{libname}
Summary:	Shared libraries for vips
Group:		System/Libraries

%description -n %{libname}
This package contains the library needed to run programs dynamically
linked with vips.

%package -n %{develname}
Summary:	Development headers and library for vips
Group:		Development/Other
Provides:	%{name}-devel = %{version}-%{release}
Requires:	%{libname} = %{version}
Obsoletes:	%{mklibname vips 10 -d}
%define _requires_exceptions  devel\(libpathplan\)\\|devel\(libgvgd\)\\|devel\(libcdt\)\\|devel\(libgraph\)\\|devel\(libgvc\)

%description -n %{develname}
This package contains the headers that programmers will need to develop
applications which will use vips.

%package python
Summary:	Python support for the VIPS image processing library
Group:		Development/Python
Requires:	%{name} = %{version}-%{release}
%py_requires -d

%description python
The %{name}-python package contains Python support for VIPS.

%prep
%setup -q
%patch1 -p0

%build
# Build against GraphicsMagick: it's a better choice for this kind of
# usage, and anyway it works with underlinking protection,
# whereas ImageMagick does not - AdamW 2008/07
./bootstrap.sh
%configure2_5x --with-magickpackage=GraphicsMagick
%make

%install
rm -rf %{buildroot}
%makeinstall_std

rm -fr %{buildroot}/%{_datadir}/locale/malkovich
%find_lang %{name}7

%if %mdkversion < 200900
%post -n %{libname} -p /sbin/ldconfig
%endif
%if %mdkversion < 200900
%postun -n %{libname} -p /sbin/ldconfig
%endif

%clean
rm -rf %{buildroot}

%files -f %{name}7.lang
%defattr(-,root,root,-)
%doc README AUTHORS NEWS TODO
%{_bindir}/*
%{_datadir}/%{name}

%files -n %{libname}
%defattr(-,root,root,-)
%{_libdir}/*.so.%{major}*

%files -n %{develname}
%defattr(-,root,root,-)
%{_libdir}/libvips*.so
%defattr(644,root,root,755)
%{_includedir}/*
%{_libdir}/libvips*.a
%{_libdir}/libvips*.la
%doc %{_defaultdocdir}/%{name}
%{_libdir}/pkgconfig/*
%{_mandir}/man?/*

%files python
%defattr(-,root,root,-)
%{python_sitearch}/vipsCC


%changelog
* Thu Aug 20 2009 Frederik Himpe <fhimpe@mandriva.org> 7.18.2-1mdv2010.0
+ Revision: 418633
- Update to new version 7.18.2
- Remove string format patch integrated upstream

* Sat Jan 17 2009 Funda Wang <fundawang@mandriva.org> 7.16.4-2mdv2009.1
+ Revision: 330762
- add BRs
- let python module link against libpython

* Sat Jan 17 2009 Funda Wang <fundawang@mandriva.org> 7.16.4-1mdv2009.1
+ Revision: 330748
- fix str fmt
- New version 7.16.4

* Sun Nov 30 2008 Funda Wang <fundawang@mandriva.org> 7.16.3-2mdv2009.1
+ Revision: 308520
- rebuild for new graphicsmagick

* Wed Nov 12 2008 Funda Wang <fundawang@mandriva.org> 7.16.3-1mdv2009.1
+ Revision: 302403
- build python binding
- New version 7.16.3

* Wed Jul 09 2008 Adam Williamson <awilliamson@mandriva.org> 7.14.4-1mdv2009.0
+ Revision: 233137
- build against GraphicsMagick instead of ImageMagick (to avoid underlinking
  issues in IM)
- build against liboil
- new license policy
- new devel policy
- spec clean
- new release 7.14.4

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

  + Thierry Vignaud <tvignaud@mandriva.com>
    - rebuild
    - summary is not licence tag
    - fix "foobar is blabla" summary (=> "blabla") so that it looks nice in rpmdrake

* Thu Feb 14 2008 Oden Eriksson <oeriksson@mandriva.com> 7.10.21-5mdv2008.1
+ Revision: 167694
- rebuilt against new imagemagick libs

* Tue Jan 08 2008 Oden Eriksson <oeriksson@mandriva.com> 7.10.21-4mdv2008.1
+ Revision: 146510
- rebuilt against new imagemagick libs (6.3.7)

* Fri Dec 21 2007 Olivier Blin <oblin@mandriva.com> 7.10.21-3mdv2008.1
+ Revision: 136570
- restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request


* Fri Mar 23 2007 Emmanuel Andry <eandry@mandriva.org> 7.10.21-3mdv2007.1
+ Revision: 148252
- rebuild for ImageMagick

* Mon Jan 15 2007 Nicolas Lécureuil <neoclust@mandriva.org> 7.10.21-2mdv2007.1
+ Revision: 109344
- Rebuild to partially close #26870)

* Fri Sep 01 2006 Couriousous <couriousous@mandriva.org> 7.10.21-1mdv2007.0
+ Revision: 59030
- 7.10.21

* Fri Aug 04 2006 Nicolas Lécureuil <neoclust@mandriva.org> 7.10.18-4mdv2007.0
+ Revision: 51659
- Rebuild against new DBUS
- import vips-7.10.18-3mdk

* Tue Apr 18 2006 Couriousous <couriousous@mandriva.org> 7.10.18-3mdk
- Really fix wrong requires

* Tue Apr 18 2006 Couriousous <couriousous@mandriva.org> 7.10.18-2mdk
- Filter wrong automatic requrie

* Tue Apr 18 2006 Couriousous <couriousous@mandriva.org> 7.10.18-1mdk
- 7.10.18

* Tue Dec 27 2005 Nicolas Lcureuil <neoclust@mandriva.org> 7.10.14-3mdk
- rebuild against new imagemagick

* Mon Oct 03 2005 Nicolas Lcureuil <neoclust@mandriva.org> 7.10.14-2mdk
- BuildRequires fix

* Sun Oct 02 2005 Couriousous <couriousous@mandriva.org> 7.10.14-1mdk
- 7.10.14

* Tue Aug 02 2005 Couriousous <couriousous@mandriva.org> 7.10.10-3mdk
- Enable ImageMagick support

* Mon Jul 18 2005 Couriousous <couriousous@mandriva.org> 7.10.10-2mdk
- Buildconflict with ImageMagick and graphviz

* Mon Jul 18 2005 Couriousous <couriousous@mandriva.org> 7.10.10-1mdk
- From: trem <trem@zarb.org> 
	- Initial build.

